summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2016-01-12 07:02:05 +0700
committer Robby Workman <rworkman@slackbuilds.org>2016-01-12 21:58:11 -0600
commit11c3228f0a475bd6314f0296a52045f8897ba414 (patch)
tree4459a93271d7ff6747ba89ad4f1ee89852bf4a24 /network
parent39a56c19d093caa0d33d40f25be1a0f36e6b62a9 (diff)
downloadslackbuilds-11c3228f0a475bd6314f0296a52045f8897ba414.tar.gz
slackbuilds-11c3228f0a475bd6314f0296a52045f8897ba414.tar.xz
network/r8168: Added (Driver for Realtek Ethernet controllers).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/r8168/README12
-rw-r--r--network/r8168/doinst.sh3
-rw-r--r--network/r8168/r8168.SlackBuild91
-rw-r--r--network/r8168/r8168.info10
-rw-r--r--network/r8168/slack-desc19
5 files changed, 135 insertions, 0 deletions
diff --git a/network/r8168/README b/network/r8168/README
new file mode 100644
index 0000000000..b3c7e01525
--- /dev/null
+++ b/network/r8168/README
@@ -0,0 +1,12 @@
+This is the Linux device driver released for RealTek RTL8168B/8111B, RTL8168C/8111C,
+RTL8168CP/8111CP, RTL8168D/8111D, RTL8168DP/8111DP, and RTL8168E/8111E Gigabit
+Ethernet controllers with PCI-Express interface.
+
+To build the module for a kernel that isn't currently running on the system pass
+that kernel's "uname -r" ouput such as: KERNEL=4.4.0" ./r8168.SlackBuild
+
+To use this module blacklist the r8169 driver in /etc/modprobe.d/blacklist.conf:
+
+blacklist r8169
+
+This will need to be rebuilt for every new kernel installed.
diff --git a/network/r8168/doinst.sh b/network/r8168/doinst.sh
new file mode 100644
index 0000000000..d335d682c8
--- /dev/null
+++ b/network/r8168/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x sbin/depmod ]; then
+ chroot . /sbin/depmod -a @KERNEL@ 1> /dev/null 2> /dev/null
+fi
diff --git a/network/r8168/r8168.SlackBuild b/network/r8168/r8168.SlackBuild
new file mode 100644
index 0000000000..b580d8e5f6
--- /dev/null
+++ b/network/r8168/r8168.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for r8168
+
+# Copyright 2016 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=r8168
+VERSION=${VERSION:-8.041.00}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+KERNEL=${KERNEL:-$(uname -r)}
+PKGVER=$(echo ${VERSION}_$KERNEL)
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make -C /lib/modules/$KERNEL/build \
+ SUBDIRS="$TMP/$PRGNAM-$VERSION/src" \
+ EXTRA_CFLAGS="$SLKCFLAGS" \
+ modules
+
+install -Dm0644 src/$PRGNAM.ko \
+ $PKG/lib/modules/$KERNEL/kernel/drivers/net/ethernet/realtek/$PRGNAM.ko
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/r8168/r8168.info b/network/r8168/r8168.info
new file mode 100644
index 0000000000..8cf64324bd
--- /dev/null
+++ b/network/r8168/r8168.info
@@ -0,0 +1,10 @@
+PRGNAM="r8168"
+VERSION="8.041.00"
+HOMEPAGE="https://github.com/mtorromeo/r8168"
+DOWNLOAD="https://github.com/mtorromeo/r8168/archive/8.041.00.tar.gz"
+MD5SUM="f2092a58f812c34a9071ffa985eab42d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/network/r8168/slack-desc b/network/r8168/slack-desc
new file mode 100644
index 0000000000..64d7a016c6
--- /dev/null
+++ b/network/r8168/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+r8168: r8168 (Linux device driver for Realtek Ethernet controllers)
+r8168:
+r8168: This is the Linux device driver released for RealTek RTL8168B/8111B,
+r8168: RTL8168C/8111C, RTL8168CP/8111CP, RTL8168D/8111D, RTL8168DP/8111DP,
+r8168: and RTL8168E/8111E Gigabit Ethernet controllers with PCI-Express
+r8168: interface.
+r8168:
+r8168: Homepage: https://github.com/mtorromeo/r8168
+r8168:
+r8168:
+r8168: